<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/GuideRectangle.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GuideRectangle.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="GuideRectangle_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">import</span> QtQuick 2.12</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;import QtQuick.Controls 2.12</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;import QtQuick.Window 2.12</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;import QtGraphicalEffects 1.0</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;Rectangle{</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    width: Screen.width / 10</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    height: txt.lineCount == 1 ? txt.contentHeight * (txt.lineCount + 2) : txt.contentHeight * 1.5<span class="comment">//Screen.height / 14</span></div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classGuideRectangle.html#ad74dd277cae2dc62c408bfbe9c76e7ef">   22</a></span>&#160;    <span class="comment">//anchors.fill: parent</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    border.color: <span class="stringliteral">&quot;purple&quot;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    border.width: 5</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    radius: 20</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    property <span class="keywordtype">string</span> prompt_text</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    gradient: Gradient{</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        <span class="keywordtype">id</span>: backgroundGradient</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        GradientStop {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;            position: 0</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;            color: <span class="stringliteral">&quot;#3C4653&quot;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;            SequentialAnimation on color {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;                <span class="keywordtype">id</span>: colorAnimation</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;                running: <span class="keyword">true</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;                loops: Animation.Infinite</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#493DA0&quot;</span> }</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#5C4653&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#773143&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#771E36&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#771E4D&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#770140&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#771E4D&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#771E36&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#773143&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#5C4653&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#493DA0&quot;</span>}</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;            }</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        }</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        GradientStop {</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            position: 1</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            color: <span class="stringliteral">&quot;#30313A&quot;</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;            SequentialAnimation on color {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;                id: colorAnimation2</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;                running: <span class="keyword">true</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;                loops: Animation.Infinite</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#30123A&quot;</span>}</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#301262&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#22264A&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#1B2050&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#4A2050&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#712050&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#4A2050&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#1B2050&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#22264A&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#301262&quot;</span>; duration: 3000 }</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;                ColorAnimation { to: <span class="stringliteral">&quot;#30123A&quot;</span>;}</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            }</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        }</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    }</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    Text {</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        id:txt</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        anchors.margins: Screen.height / 72</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        text: prompt_text</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        color: <span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        font.pixelSize: Screen.height / 72</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        wrapMode: Text.WordWrap</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    }</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;}</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassGuideRectangle_html"><div class="ttname"><a href="classGuideRectangle.html">GuideRectangle</a></div><div class="ttdoc">Прямоугольник с текстом внутри, используется для ознакомления пользователя с программой</div><div class="ttdef"><b>Definition:</b> <a href="GuideRectangle_8qml_source.html#l00017">GuideRectangle.qml:17</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
